{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.variant_discarded_sword_charged_sword": {
      "geometry": "Geometry.sword",
      "materials": [ { "*": "Material.sword" } ],
      "textures": [ "Texture.sword" ]
    },
    "controller.render.variant_discarded_sword_charged_charge": {
      "geometry": "Geometry.charge",
      "materials": [ { "*": "Material.charge" } ],
      "textures": [ "Texture.charge" ],
	  "uv_anim": {
	    "offset": [ "(Math.floor(query.life_time * 20.0) + query.frame_alpha) * -0.2", 0.0 ],
		"scale": [ 1.0, 1.0 ]
	  }
    }
  }
}